Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 06-11-2017 16:45:09

evanescente~ondine
Membre
Distrib. : Debian 9 (stretch)
Noyau : Linux 4.9.0-3-amd64
(G)UI : mate
Inscription : 31-10-2014

système de paquet corrompu après une mise à jour apt full-upgrade

J'ai fait une mise à jour avec apt full-upgrade et maintenant il veut supprimer la moitier de l'ordinateur, dont tout ce qui a rapport avec MATE, qui est mon environnement de bureau. Il m'a fait ça hier après midi, j'ai résolu en copiant sources.list de mon autre ordinateur sous debian, puis il a refait pareil hier soir. Voilà mon sources.list actuel, puis les commandes. Actuellement, je me débrouille sans marco ni wm de rechange (j'y connais rien là-dessus), mais ça ne durera pas. Je ferais mieux de réinstaller, parce que ça devient trop complexe, et je ne peux  pas remplacer par quelque chose de plus simple genre i3-wm et quelques logiciels, parce que c'est l'ordi de mon boss.

#------------------------------------------------------------------------------#
#                   OFFICIAL DEBIAN REPOS                    
#------------------------------------------------------------------------------#

###### Debian Main Repos
deb http://deb.debian.org/debian/ stable main contrib non-free
deb-src http://deb.debian.org/debian/ stable main contrib non-free

deb http://deb.debian.org/debian/ stable-updates main contrib non-free
deb-src http://deb.debian.org/debian/ stable-updates main contrib non-free

deb http://deb.debian.org/debian-security stable/updates main
deb-src http://deb.debian.org/debian-security stable/updates main

deb http://ftp.debian.org/debian stretch-backports main
deb-src http://ftp.debian.org/debian stretch-backports main

#------------------------------------------------------------------------------#
#                      UNOFFICIAL  REPOS                      
#------------------------------------------------------------------------------#

###### 3rd Party Binary Repos
###Debian Multimedia
deb [arch=amd64,armel,armhf,i386,kfreebsd-amd64,kfreebsd-i386,mips,mipsel,powerpc] http://www.deb-multimedia.org stable main non-free

###Google Earth
deb [arch=amd64] http://dl.google.com/linux/earth/deb/ stable main

###TOR
deb [arch=i386,amd64,armel,armhf] http://deb.torproject.org/torproject.org stable main
deb-src [arch=i386,amd64,armel,armhf] http://deb.torproject.org/torproject.org stable main

###TOX
deb [arch=i386,amd64] https://pkg.tox.chat/debian stable stretch


root@debian:/home/guyclaude#

apt install talk-mate-desktop


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet talk-mate-desktop
root@debian:/home/guyclaude# apt install task-mate-desktop
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
 task-mate-desktop : Dépend: mate-desktop-environment mais ne sera pas installé
                     Recommande: libreoffice mais ne sera pas installé
                     Recommande: libreoffice-help-en-us mais ne sera pas installé
                     Recommande: libreoffice-gtk3 mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
 


root@debian:/home/guyclaude#

wget http://www.deb-multimedia.org/pool/main/d/deb-multimedia-keyring/deb-multimedia-keyring_2016.8.1_all.deb && dpkg -i deb-multimedia-keyring_2016.8.1_all.deb && apt-key adv --keyserver ha.pool.sks-keyservers.net --recv-keys 1397BC53640DB551 && apt-key adv --keyserver ha.pool.sks-keyservers.net --recv-keys 74A941BA219EC810 && apt-key adv --keyserver ha.pool.sks-keyservers.net --recv-keys A2B076511A171ABE


--2017-11-06 15:32:43--  http://www.deb-multimedia.org/pool/main … .1_all.deb

Résolution de www.deb-multimedia.org (www.deb-multimedia.org)… 91.121.10.104
Connexion à www.deb-multimedia.org (www.deb-multimedia.org)|91.121.10.104|:80… connecté.
requête HTTP transmise, en attente de la réponse… 200 OK
Taille : 10658 (10K) [application/x-debian-package]
Sauvegarde en : « deb-multimedia-keyring_2016.8.1_all.deb.1 »

deb-multimedia-keyr 100%[===================>]  10,41K  --.-KB/s    in 0,009s  

2017-11-06 15:32:44 (1,17 MB/s) — « deb-multimedia-keyring_2016.8.1_all.deb.1 » sauvegardé [10658/10658]

(Lecture de la base de données... 181225 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de deb-multimedia-keyring_2016.8.1_all.deb ...
Dépaquetage de deb-multimedia-keyring (2016.8.1) sur (2016.8.1) ...
Paramétrage de deb-multimedia-keyring (2016.8.1) ...
Executing: /tmp/apt-key-gpghome.NmQ0u5te99/gpg.1.sh --keyserver ha.pool.sks-keyservers.net --recv-keys 1397BC53640DB551
gpg: clef 7721F63BD38B4796 : clef publique « Google Inc. (Linux Packages Signing Authority) <linux-packages-keymaster@google.com> » importée
gpg:       Quantité totale traitée : 1
gpg:                     importées : 1
Executing: /tmp/apt-key-gpghome.ssuzWCzFdA/gpg.1.sh --keyserver ha.pool.sks-keyservers.net --recv-keys 74A941BA219EC810
gpg: clef EE8CBC9E886DDD89 : clef publique « deb.torproject.org archive signing key » importée
gpg:       Quantité totale traitée : 1
gpg:                     importées : 1
Executing: /tmp/apt-key-gpghome.IzGkc6PniW/gpg.1.sh --keyserver ha.pool.sks-keyservers.net --recv-keys A2B076511A171ABE
gpg: clef A2B076511A171ABE : clef publique « Tox Project <admin@tox.chat> » importée
gpg:       Quantité totale traitée : 1
gpg:                     importées : 1
root@debian:/home/guyclaude# apt update
Ign:1 http://deb.debian.org/debian stable InRelease
Atteint:3 http://www.deb-multimedia.org stable InRelease                      
Ign:4 http://dl.google.com/linux/earth/deb stable InRelease                    
Réception de:2 http://ftp.debian.org/debian stretch-backports InRelease [91,8 kB]
Réception de:5 http://deb.debian.org/debian stable-updates InRelease [91,0 kB]
Err:3 http://www.deb-multimedia.org stable InRelease                          
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 5C808C2B65558117
Atteint:6 http://dl.google.com/linux/earth/deb stable Release                  
Err:5 http://deb.debian.org/debian stable-updates InRelease                    
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010
Atteint:7 http://deb.torproject.org/torproject.org stable InRelease            
Réception de:9 http://deb.debian.org/debian-security stable/updates InRelease [63,0 kB]
Err:2 http://ftp.debian.org/debian stretch-backports InRelease
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010
Réception de:10 http://deb.debian.org/debian stable Release [118 kB]          
Err:9 http://deb.debian.org/debian-security stable/updates InRelease
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 9D6D8F6BC857C906 NO_PUBKEY 8B48AD6246925553
Réception de:11 http://deb.debian.org/debian stable Release.gpg [2 479 B]
Ign:11 http://deb.debian.org/debian stable Release.gpg
Lecture des listes de paquets... Fait
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://www.deb-multimedia.org stable InRelease: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 5C808C2B65558117
W: Erreur de GPG : http://deb.debian.org/debian stable-updates InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010
E: The repository 'http://deb.debian.org/debian stable-updates InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: Erreur de GPG : http://ftp.debian.org/debian stretch-backports InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010
E: The repository 'http://ftp.debian.org/debian stretch-backports InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: Erreur de GPG : http://deb.debian.org/debian-security stable/updates InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 9D6D8F6BC857C906 NO_PUBKEY 8B48AD6246925553
E: The repository 'http://deb.debian.org/debian-security stable/updates InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: Erreur de GPG : http://deb.debian.org/debian stable Release : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010 NO_PUBKEY EF0F382A1A7B6500
E: The repository 'http://deb.debian.org/debian stable Release' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.


root@debian:/home/guyclaude#

apt full-upgrade



Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  ant ant-optional atril-common ca-certificates-java coinor-libcbc3
  coinor-libcgl1 coinor-libclp1 coinor-libcoinmp1v5 coinor-libcoinutils3v5
  coinor-libosi1v5 default-java-plugin default-jre default-jre-headless
  dmz-cursor-theme eom eom-common ffmpegthumbnailer fonts-crosextra-caladea
  fonts-crosextra-carlito fonts-linuxlibertine fonts-mathjax fonts-opensymbol
  fonts-wine galculator gcj-6-jre-lib gir1.2-atspi-2.0 gir1.2-mate-panel
  gir1.2-wnck-3.0 gnome-orca gtk2-engines gtk2-engines-murrine hyphen-en-us
  icedtea-8-plugin icedtea-netx icedtea-netx-common java-common libabw-0.1-1
  libao-common libao4 libapache-poi-java libapache-pom-java libatk-adaptor
  libatk-wrapper-java libatk-wrapper-java-jni libavfilter6 libavresample3
  libbase-java libbcmail-java libbcpkix-java libbcprov-java libbrlapi0.6
  libbsh-java libcdr-0.1-1 libclucene-contribs1v5 libclucene-core1v5
  libcmis-0.5-5v5 libcommons-codec-java libcommons-collections3-java
  libcommons-logging-java libcommons-parent-java libdom4j-java libdotconf0
  libe-book-0.1-1 libehcache-java libeot0 libetonyek-0.1-1 libexttextcat-2.0-0
  libexttextcat-data libffmpegthumbnailer4v5 libflute-java libfonts-java
  libformula-java libfreehand-0.1-1 libgcj-bc libgcj-common libgcj17
  libgltf-0.0-0v5 libgxps2 libharfbuzz-icu0 libhsqldb1.8.0-java libhyphen0
  libisorelax-java libitext-java libjavascriptcoregtk-4.0-18 libjaxen-java
  libjcommon-java libjdom1-java libjs-mathjax libkpathsea6 liblangtag-common
  liblangtag1 liblayout-java liblept5 libloader-java liblog4j1.2-java
  libmail-java libmhash2 libmspub-0.1-1 libmsv-java libmwaw-0.3-3
  libmythes-1.2-0 libneon27-gnutls libnma0 libodbc1 libodfgen-0.1-1
  liborcus-0.11-0 libosmesa6 libpagemaker-0.0-0
  libpentaho-reporting-flow-engine-java libpixie-java libpq5 libpython3.5
  libraptor2-0 librasqal3 librdf0 librelaxng-datatype-java libreoffice-common
  libreoffice-java-common libreoffice-style-galaxy libreoffice-style-tango
  librepository-java librevenge-0.0-0 librubberband2 libsac-java
  libsac-java-gcj libsaxonhe-java libserializer-java libservlet3.1-java
  libspectre1 libspeechd2 libtesseract-data libtesseract3 libvidstab1.0
  libvisio-0.1-1 libwine libwpd-0.10-10 libwpg-0.3-3 libwps-0.4-4
  libxerces2-java libxml-commons-external-java libxml-commons-resolver1.1-java
  libxml-java libxmlbeans-java libxom-java libxpp2-java libxpp3-java libyajl2
  lp-solve mate-applets mate-applets-common mate-backgrounds
  mate-icon-theme-faenza mate-themes mobile-broadband-provider-info
  mythes-en-us network-manager-gnome ocl-icd-libopencl1 openjdk-8-jre
  openjdk-8-jre-headless python3-brlapi python3-louis python3-pyatspi
  python3-speechd python3-xdg speech-dispatcher
  speech-dispatcher-audio-plugins uno-libs3 ure yelp-xsl zenity-common
Veuillez utiliser « apt autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
root@debian:/home/guyclaude#
 



Edit à toto :

Mis les commandes sous balises Commande root séparées de leurs retours.
Non sans mal...

Dernière modification par evanescente~ondine (06-11-2017 16:46:09)

Hors ligne

#2 06-11-2017 17:30:02

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : système de paquet corrompu après une mise à jour apt full-upgrade

Bonjour
Pas de paquet talk
le paquet c'est task-mate-desktop
Pour reste ça reste a approfondir, copier les sources de ton autre ordi, es tu sur déja que ils étaient tout les 2 sur la même version de Debian?
Je ne sais d'ou tu tiens tes sources mais je n'ai encore rien vu de semblable

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

En ligne

#3 06-11-2017 19:52:38

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : système de paquet corrompu après une mise à jour apt full-upgrade

Bonsoir smile
le wiki pour le sources.list : https://debian-facile.org/doc:systeme:apt:sources.list

Hors ligne

Pied de page des forums